{% extends 'base.html.twig' %}

{% block title %}Album index{% endblock %}

{% block body %}
    <style>
        img{
            max-width: 100px;
            max-height: 100px;
            width: 100px;
            height: 100px;
        }
        th,td{
            text-align: center
        }
    </style>
    <h1>Album index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Title</th>
                <th>Cover</th>
                <th>Nb_track</th>
                <th>Release_date</th>
                {# <th>Auteurs</th> #}
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for album in albums %}
            <tr>
                <td>{{ album.id }}</td>
                <td>{{ album.title }}</td>
                <td><img src="{{ album.cover }}" alt="jaquette album"></td>
                <td>{{ album.nbTrack }}</td>
                <td>{{ album.releaseDate }}</td>
                {# <td>
                {% for album in album.autheur %}
                    <a href="/autheur/{{ album.id }}">{{ album.nom }}</a>
                {% endfor %}
                </td> #}
                <td>
                    <a class="btn btn-info" href="{{ path('app_album_show', {'id': album.id}) }}">show</a>
                    <a class="btn btn-warning" href="{{ path('app_album_edit', {'id': album.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="6">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a class="btn btn-primary" href="{{ path('app_album_new') }}">Create new</a>

        <script>
      $(document).ready(function () {
          $('.table').DataTable(
              {
                  "language": {
                      "sProcessing": "Traitement en cours...",
                      "sLengthMenu": "Afficher _MENU_ lignes",
                      "sZeroRecords": "Aucun résultat trouvé",
                      "sEmptyTable": "Aucune donnée disponible dans cette table",
                      "sInfo": "Afficher les lignes de _START_ à _END_ sur un total de _TOTAL_ lignes",
                      "sInfoEmpty": "Afficher les lignes de 0 à 0 sur un total de 0 lignes",
                      "sInfoFiltered": "(a filtré un total de _MAX_ lignes)",
                      "sInfoPostFix": "",
                      "sSearch": "Rechercher :",
                      "url": "",
                      "sInfoThousands": ",",
                      "sLoadingRecords": "Chargement...",
                      "oPaginer": {
                          "sFirst": "Premier",
                          "sLast": "Dernier",
                          "sNext": "Suivant",
                          "sPrevious": "Précédent"
                      },
                      "oAria": {
                          "sSortAscending": ": Trier par ordre croissant",
                          "sSortDescending": ": Trier par ordre décroissant"
                      }
                  }
              }
          );
      });

      function redirect_inviter() {
          window.location.href = "/secret/inviter";
      }
    </script>
{% endblock %}
